## db_reinstall

### Use

You reset the database instance on the basis of its current configuration. All the data stored in the database is deleted.

You can, for example, use this command to return a test database to its original empty status in order to test different scenarios on the basis of the same database configuration.

When the system executes this DBM command, it performs the following steps:

...

1. Transferring to the ADMIN operational state

2. Initializing the database instance

3. Loading the system tables

If you still require the data, make sure you can still obtain it using current backups of the dataset. As soon as you execute this Database Manager command, all the data stored in the database is deleted permanently. Therefore, use this command with extreme caution.

### Prerequisites

You have the server authorization AccessUtility.

### Syntax

db_reinstall

### Reply

OK

In the event of errors, see Reply Format.